Package org.pushingpixels.substance.internal.utils

# Class UpdateOptimizationInfo

java.lang.Object
org.pushingpixels.substance.internal.utils.UpdateOptimizationInfo

public class UpdateOptimizationInfo extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`DecorationAreaType`
`decorationAreaType`
`boolean`
`isInDecorationArea`
`boolean`
`toDrawWatermark`

## Constructor Summary

Constructors
Constructor
Description
`UpdateOptimizationInfo(JComponent component)`

## Method Summary

Modifier and Type
Method
Description
`SubstanceColorScheme`
`getBorderColorScheme(ComponentState state)`
`SubstanceColorScheme`
`getDefaultScheme()`
`SubstanceColorScheme`
`getFillColorScheme(ComponentState state)`
`float`
`getHighlightAlpha(ComponentState state)`
`SubstanceColorScheme`
`getHighlightBorderColorScheme(ComponentState state)`
`SubstanceColorScheme`
`getHighlightColorScheme(ComponentState state)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### toDrawWatermark

public boolean toDrawWatermark

### decorationAreaType

public DecorationAreaType decorationAreaType

### isInDecorationArea

public boolean isInDecorationArea

## Constructor Details

### UpdateOptimizationInfo

public UpdateOptimizationInfo(JComponent component)

## Method Details

### getHighlightColorScheme

public SubstanceColorScheme getHighlightColorScheme(ComponentState state)

### getBorderColorScheme

public SubstanceColorScheme getBorderColorScheme(ComponentState state)

### getFillColorScheme

public SubstanceColorScheme getFillColorScheme(ComponentState state)

### getHighlightBorderColorScheme

public SubstanceColorScheme getHighlightBorderColorScheme(ComponentState state)

### getHighlightAlpha

public float getHighlightAlpha(ComponentState state)

### getDefaultScheme

public SubstanceColorScheme getDefaultScheme()